## confy 0.6.1

=== meson_options.txt ===
option('devel', type : 'boolean', value : false)

## confy 0.5.1

=== debian/changelog ===
confy (0.5.1-2) experimental; urgency=medium

  * Add gnome-icon-theme dependency

 -- Federico Ceratto <federico@debian.org>  Wed, 14 Apr 2021 13:53:53 +0100

confy (0.5.1-1) experimental; urgency=medium

  [ Federico Ceratto ]
  * Set "gnome" section
  * Use Build-Depends-Indep
  * Set verbose build

  [ Evangelos Ribeiro Tzaras ]
  * d/gbp.conf: Add gbp config
  * d/patches: Indicate that patches will be upstreamed
  * d/copyright: Use authors preferred upstream contact address
  * d/patches: Update Forwarded field
  * d/patches: Include upstream patch
  * d/copyright: Clarify copyright
  * d/copyright: Change upstream email address
  * d/copyright: remove stray blank line
  * d/gbp.conf: Add debian-branch
  * d/control: Correct dependencies
  * d/copyright: Remove stray newline
  * d/tests: Add superficial autopkgtest
  * d/control: Add libglib2.0-dev-bin build dep
  * d/control: Add pkg-config build dep
  * d/control: Add libglib2.0-dev build dep
  * d/tests: Don't use accessibility services
  * d/control: Explicitly add gir1.2-gtk-3.0 depend
  * d/gbp.conf: Use multimaint-merge
  * Initial release (Closes: #978420)

 -- Federico Ceratto <federico@debian.org>  Wed, 14 Apr 2021 12:16:47 +0100

=== debian/control ===
Source: confy
Section: gnome
Priority: optional
Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
Uploaders:
 Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>,
Build-Depends:
 appstream-util,
 debhelper-compat (= 13),
 libglib2.0-dev,
 meson,
 ninja-build,
 pkg-config,
Build-Depends-Indep:
 dh-python,
 python3-all,
 python3-icalendar,
 python3-setuptools,
Standards-Version: 4.5.1
Homepage: https://confy.kirgroup.net/
Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/confy
Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/confy.git
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: confy
Architecture: all
Depends:
 gir1.2-gtk-3.0,
 gir1.2-handy-1,
 gir1.2-notify-0.7,
 gnome-icon-theme,
 python3-gi,
 python3-icalendar,
 ${misc:Depends},
 ${python3:Depends},
Description: Conference schedule viewer written in Python
 Navigate conference schedules, mark favourite talks
 and get reminded of upcoming talks.
 .
 Works offline after initial data download and is usable
 on mobile devices.

## confy 0.6.1

=== debian/changelog ===
confy (0.6.1-1) unstable; urgency=medium

  [ Federico Ceratto ]
  * Adding myself to uploaders

  [ Evangelos Ribeiro Tzaras ]
  * New upstream version 0.6.1 (Closes: #995436)
  * d/gbp.conf: Use default upstream-vcs-tag format
  * d/README.source: Document update procedure
  * Remove upstreamed patches

 -- Federico Ceratto <federico@debian.org>  Fri, 01 Oct 2021 22:42:07 +0100

confy (0.6.0-1) experimental; urgency=medium

  [ Evangelos Ribeiro Tzaras ]
  * New upstream version 0.6.0
  * d/patches: Remove upstreamed patches
  * d/patches: Fix non-fatal division by zero error
  * d/copyright: appdata.xml.in has been removed

 -- Federico Ceratto <federico@debian.org>  Sun, 13 Jun 2021 21:30:01 +0100

=== debian/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
 Priority: optional
 Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
 Uploaders:
+ Federico Ceratto <federico@debian.org>,
  Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>,
 Build-Depends:
  appstream-util,
@@ -16,7 +17,7 @@
  python3-all,
  python3-icalendar,
  python3-setuptools,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://confy.kirgroup.net/
 Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/confy
 Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/confy.git

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
export PYBUILD_NAME=confy

%:
	dh $@ --with python3

## confy 0.6.3

=== debian/changelog ===
confy (0.6.3-2) unstable; urgency=medium

  * d/patches: cherry pick upstream quality of life improvements
  * lintian: Fix incorrect no-manual-page override

 -- Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>  Sun, 14 Aug 2022 15:35:52 +0200

confy (0.6.3-1) unstable; urgency=medium

  * d/gbp.conf: Update upstream-tag and upstream-branch
  * d/copyright: Fix wrong filename

 -- Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>  Tue, 01 Feb 2022 19:06:20 +0100

## confy 0.6.5

=== debian/changelog ===
confy (0.6.5-1) unstable; urgency=medium

  * New upstream release
  * d/copyright: Update copyright
  * Add upstream metadata
  * d/patches: Remove patches applied in new release

 -- Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>  Mon, 17 Jul 2023 00:18:29 +0200

## confy 0.7.0

=== debian/changelog ===
confy (0.7.0-1) unstable; urgency=medium

  * New upstream release
  * d/control: Update dependencies for latest release

 -- Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>  Fri, 04 Aug 2023 20:49:22 +0200

=== debian/control ===
--- 
+++ 
@@ -8,11 +8,14 @@
 Build-Depends:
  appstream-util,
  debhelper-compat (= 13),
+ gir1.2-adw-1,
+ gir1.2-gtk-4.0,
  libglib2.0-dev,
  meson,
  ninja-build,
  pkg-config,
 Build-Depends-Indep:
+ blueprint-compiler (>= 0.10.0),
  dh-python,
  python3-all,
  python3-icalendar,
@@ -27,8 +30,8 @@
 Package: confy
 Architecture: all
 Depends:
- gir1.2-gtk-3.0,
- gir1.2-handy-1,
+ gir1.2-adw-1,
+ gir1.2-gtk-4.0,
  gir1.2-notify-0.7,
  gnome-icon-theme,
  python3-gi,

=== debian/tests/control ===
Test-Command: NO_AT_BRIDGE=1 xvfb-run /usr/bin/confy --help
Restrictions: superficial
Depends:
 confy,
 xauth,
 xvfb,

## confy 0.7.1

=== debian/changelog ===
confy (0.7.1-1) unstable; urgency=medium

  * New upstream release
  * d/control: update pkg-config to pkgconf
  * d/control: Bump Standards-Version to 4.6.2 (no changed needed)
  * d/tests/control: Mark test as flaky

 -- Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>  Wed, 20 Mar 2024 15:58:10 +0100

=== debian/control ===
--- 
+++ 
@@ -13,14 +13,14 @@
  libglib2.0-dev,
  meson,
  ninja-build,
- pkg-config,
+ pkgconf,
 Build-Depends-Indep:
  blueprint-compiler (>= 0.10.0),
  dh-python,
  python3-all,
  python3-icalendar,
  python3-setuptools,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://confy.kirgroup.net/
 Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/confy
 Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/confy.git

## confy 0.8.0

=== meson_options.txt ===
#option('devel', type : 'boolean', value : false)

=== debian/changelog ===
confy (0.8.0-1) unstable; urgency=medium

  * New upstream release
  * d/control: Declare compliance with Debian policy 4.7.0 (no changed needed)
  * d/patch: Don't update desktop MIME cache

 -- Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>  Sun, 26 Jan 2025 12:08:14 +0100

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
  python3-all,
  python3-icalendar,
  python3-setuptools,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://confy.kirgroup.net/
 Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/confy
 Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/confy.git

=== debian/tests/control ===
Test-Command: NO_AT_BRIDGE=1 xvfb-run /usr/bin/confy --help
Restrictions: superficial, flaky
Depends:
 confy,
 xauth,
 xvfb,

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/archive\/(\d+\.\S+)\.tar\.gz/confy-$1\.tar\.gz/g \
  https://git.sr.ht/~fabrixxm/confy/refs .*/archive/(\d+\.\S+)\.tar\.gz

## confy 0.9.0

=== debian/changelog ===
confy (0.9.0-1) unstable; urgency=medium

  * d/patches: Drop No-need-to-update-desktop-MIME-cache.patch.
    It is now part of upstream [0]
    [0] 2c5f842e88d4340d45c45b98da173376d8a494ca
  * d/[control|rules]: Use dh-sequence-python3
  * Add myself to uploaders
  * d/control: Bump standards version.
    Drop unneeded Rules-Requires-Root and Priority
  * d/watch Update to version 5
  * d/gbp.conf: Improve d/changelog entries.
    Configure gbp.conf to not just include the subject of a commit
    into d/changelog, since this only include what was changed, but
    not why it was changed.
    Put 'Closes' Tags from a git commit into the changelog.

 -- Manuel Traut <manut@mecka.net>  Sat, 31 Jan 2026 16:12:28 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: confy
 Section: gnome
-Priority: optional
 Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
 Uploaders:
  Federico Ceratto <federico@debian.org>,
  Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>,
+ Manuel Traut <manut@mecka.net>,
 Build-Depends:
  appstream-util,
  debhelper-compat (= 13),
@@ -16,16 +16,15 @@
  pkgconf,
 Build-Depends-Indep:
  blueprint-compiler (>= 0.10.0),
- dh-python,
+ dh-sequence-python3,
  python3-all,
  python3-icalendar,
  python3-setuptools,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Homepage: https://confy.kirgroup.net/
 Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/confy
 Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/confy.git
 Testsuite: autopkgtest-pkg-python
-Rules-Requires-Root: no
 
 Package: confy
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
export PYBUILD_NAME=confy

%:
	dh $@

=== debian/watch ===
Version: 5
Source: https://git.sr.ht/~fabrixxm/confy
Matching-Pattern: refs/tags/@ANY_VERSION@
Mode: git
